<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author         Varun Shoor
 *
 * @package        SWIFT
 * @copyright      Copyright (c) 2001-2012, Kayako
 * @license        http://www.kayako.com/license
 * @link           http://www.kayako.com
 *
 * ###############################################
 */

class Controller_SettingsManager extends Controller_admin
{
    // Core Constants
    const MENU_ID       = 112;
    const NAVIGATION_ID = 2;

	/**
	 * Constructor
	 *
	 * return boolean True on Success, or False Otherwise
	 *
	 * @author Rahul Bhattacharya
	 */
	public function __construct()
	{
		parent::__construct();
		$this->Load->Library('Settings:SettingsManager');
		$this->Language->Load('sugarcrm');
		$this->Language->Load('settings');
	}

    /**
     * Render Settings
     *
     * @author Rahul Bhattacharya
     * @return bool "true" on Success, "false" otherwise
     * @throws SWIFT_Exception If the Class is not Loaded
     */
	public function Index()
	{
		$_SWIFT = SWIFT::GetInstance();

        if (!$this->GetIsClassLoaded())
        {
            throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED);
        }

		$this->UserInterface->Header($this->Language->Get('scrm_name') . ' - ' . $this->Language->Get('scrm_settingName'), self::MENU_ID, self::NAVIGATION_ID);

		if ($_SWIFT->Staff->GetPermission('admin_canupdatesettings') == '0')
        {
			$this->UserInterface->DisplayError($this->Language->Get('titlenoperm'), $this->Language->Get('msgnoperm'));
		} else {
			$this->UserInterface->Start(get_class($this), '/sugarcrm/SettingsManager/Index', SWIFT_UserInterface::MODE_INSERT, false);
			$this->SettingsManager->Render($this->UserInterface, SWIFT_SettingsManager::FILTER_NAME, array('settings_sugar'));
			$this->UserInterface->End();
		}

		$this->UserInterface->Footer();

		return true;
	}
}
